{% extends 'base.html' %}
{% block meta %}
    {% load static %}
    <link rel="stylesheet" type="text/css" href="{% static 'restoran/restoranstyle.css' %}">
    <title>Tambah Restoran</title>
{% endblock %}
{% block headercontent %}
    <span class="lh-0">Tambah Restoran</span>
{% endblock %}
{% block content %}
    <div class="container" style="margin: auto;">
        <div class="row justify-content-center">
            <div class="card-body "
                 style="border: none; border-radius: 20px; border-color: #2c063c; background-color:#F2F2F2; ">
                <h5 class="card-title h4 mt-0 title">Tambah Restoran</h5>
                <form id="addForm" method="POST" style="margin: 10px;" enctype="multipart/form-data">
                    {% csrf_token %}
                    <div class="form">
                        <div class="form-group row">
                            <label for="inputPassword3" class="col-sm-2 form-control-label">
                                Nama Restoran:
                            </label>
                            <div class="col-sm-10">
                                {{ form.nama }}
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="inputPassword3" class="col-sm-2 form-control-label">
                                Alamat:
                            </label>
                            <div class="col-sm-10">
                                {{ form.alamat }}
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="inputPassword3" class="col-sm-2 form-control-label">
                                Kategori:
                            </label>
                            <div class="col-sm-10">
                                {{ form.kategori }}
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="inputPassword3" class="col-sm-2 form-control-label">
                                Jenis Pesanan:
                            </label>
                            <div class="col-sm-10">
                                {{ form.jenis_pesanan }}
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="inputPassword3" class="col-sm-2 form-control-label">
                                Nomor Telepon:
                            </label>
                            <div class="col-sm-10">
                                {{ form.telepon }}
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="inputPassword3" class="col-sm-2 form-control-label">
                                Gambar:
                            </label>
                            <div class="col-sm-10">
                                {{ form.picture }}
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="inputPassword3" class="col-sm-2 form-control-label">
                                Jam Buka:
                            </label>
                            <div class="col-sm-10">
                                {{ form.time_open }}
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="inputPassword3" class="col-sm-2 form-control-label">
                                Jam Tutup:
                            </label>
                            <div class="col-sm-10">
                                {{ form.time_close }}
                            </div>
                        </div>
                        <div id="messageBox">

                        </div>
                        <div class="button d-flex justify-content-center">
                            <input id="submitButton" type="submit" value="Simpan" class="btn btn-block" style="border-radius: 25px;
                        font-size: 25px; color: white; background-color:#4180E2;
                        width: 10em; margin-bottom: 30px ;margin-top: 30px;"
                                   role="button"/>
                            <a class="btn btn-danger btn-block ml-2" style="border-radius: 25px;
                        font-size: 25px; color: white; background-color:#E24141;
                        width: 10em; margin-bottom: 30px ;margin-top: 30px;" href="{% url 'restoran:index' %}"
                               role="button"><strong>Batal</strong></a>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <script type="text/javascript" src="{% static 'restoran/scripts/createRestoranAjax.js' %}"></script>
{% endblock %}
